| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations | Variables
webkit.h File Reference

## Classes
class | wxWebKitCtrl
| This control is a native wrapper around the Safari web browsing engine. More...
class | wxWebKitBeforeLoadEvent
class | wxWebKitStateChangedEvent
class | wxWebKitNewWindowEvent

## Enumerations
enum | { wxWEBKIT_STATE_START = 1, wxWEBKIT_STATE_NEGOTIATING = 2, wxWEBKIT_STATE_REDIRECTING = 4, wxWEBKIT_STATE_TRANSFERRING = 8, wxWEBKIT_STATE_STOP = 16, wxWEBKIT_STATE_FAILED = 32 }
enum | { wxWEBKIT_NAV_LINK_CLICKED = 1, wxWEBKIT_NAV_BACK_NEXT = 2, wxWEBKIT_NAV_FORM_SUBMITTED = 4, wxWEBKIT_NAV_RELOAD = 8, wxWEBKIT_NAV_FORM_RESUBMITTED = 16, wxWEBKIT_NAV_OTHER = 32 }

## Variables
wxEventType | wxEVT_WEBKIT_STATE_CHANGED
wxEventType | wxEVT_WEBKIT_BEFORE_LOAD
wxEventType | wxEVT_WEBKIT_NEW_WINDOW

## Enumeration Type Documentation

anonymous enum

Enumerator:

  wxWEBKIT_STATE_START |
  wxWEBKIT_STATE_NEGOTIATING |
  wxWEBKIT_STATE_REDIRECTING |
  wxWEBKIT_STATE_TRANSFERRING |
  wxWEBKIT_STATE_STOP |
  wxWEBKIT_STATE_FAILED |

anonymous enum

Enumerator:

  wxWEBKIT_NAV_LINK_CLICKED |
  wxWEBKIT_NAV_BACK_NEXT |
  wxWEBKIT_NAV_FORM_SUBMITTED |
  wxWEBKIT_NAV_RELOAD |
  wxWEBKIT_NAV_FORM_RESUBMITTED |
  wxWEBKIT_NAV_OTHER |

## Variable Documentation

wxEventType wxEVT_WEBKIT_BEFORE_LOAD

wxEventType wxEVT_WEBKIT_NEW_WINDOW

wxEventType wxEVT_WEBKIT_STATE_CHANGED